#include <version.h>
#include <kernel.h>
#include <kdata.h>
#include <devzero.h>

int zero_read(uint8_t minor, uint8_t rawflag)
{
    minor; rawflag; // shut up compiler
    if (udata.u_sysio)
        memset(udata.u_base, 0, udata.u_count);
    else
        uzero(udata.u_base, udata.u_count);

    return (udata.u_count);
}

int zero_write(uint8_t minor, uint8_t rawflag)
{
    minor; rawflag; // shut up compiler
    udata.u_error = EINVAL;
    return (-1);
}
